<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>WordToTextConverter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WordToTextConverter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9,"i5":9,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/WordToTextConverter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlUtils.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/converter/WordToTextConverter.html" target="_top">Frames</a>
        </li>
        <li><a href="WordToTextConverter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.converter.AbstractWordConverter">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.converter</div>
    <h2 title="Class WordToTextConverter" class="title">Class WordToTextConverter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                       title="class in org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter.AbstractWordConverter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.converter.WordToTextConverter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">WordToTextConverter</span>
extends <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
           title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.converter.AbstractWordConverter">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.converter.<a
                                        href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                        title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#UNICODECHAR_NO_BREAK_SPACE">UNICODECHAR_NO_BREAK_SPACE</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#UNICODECHAR_NONBREAKING_HYPHEN">UNICODECHAR_NONBREAKING_HYPHEN</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#UNICODECHAR_ZERO_WIDTH_SPACE">UNICODECHAR_ZERO_WIDTH_SPACE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#WordToTextConverter--">WordToTextConverter</a></span>()</code>
                                    <div class="block">Creates new instance of <a
                                            href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html"
                                            title="class in org.apache.poi.hwpf.converter"><code>WordToTextConverter</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#WordToTextConverter-org.w3c.dom.Document-">WordToTextConverter</a></span>(org.w3c.dom.Document&nbsp;document)</code>
                                    <div class="block">Creates new instance of <a
                                            href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html"
                                            title="class in org.apache.poi.hwpf.converter"><code>WordToTextConverter</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#WordToTextConverter-org.apache.poi.hwpf.converter.TextDocumentFacade-">WordToTextConverter</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/converter/TextDocumentFacade.html"
                                        title="class in org.apache.poi.hwpf.converter">TextDocumentFacade</a>&nbsp;textDocumentFacade)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#afterProcess--">afterProcess</a></span>()</code>
                                    <div class="block">Special actions that need to be called after processing complete,
                                        like
                                        updating stylesheets or building document notes list.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>org.w3c.dom.Document</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#getDocument--">getDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#getText--">getText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#getText-org.apache.poi.poifs.filesystem.DirectoryNode-">getText</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#getText-java.io.File-">getText</a></span>(java.io.File&nbsp;docFile)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#getText-org.apache.poi.hwpf.HWPFDocumentCore-">getText</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#isOutputSummaryInformation--">isOutputSummaryInformation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
                                    <div class="block">Java main() interface to interact with <a
                                            href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html"
                                            title="class in org.apache.poi.hwpf.converter"><code>WordToTextConverter</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">outputCharacters</a></span>(org.w3c.dom.Element&nbsp;block,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                       title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                    java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">processBookmarks</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;currentBlock,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                    int&nbsp;currentTableLevel,
                                    java.util.List&lt;<a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                            title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a>&gt;&nbsp;rangeBookmarks)</code>
                                    <div class="block">Wrap range into bookmark(s) and process it.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></span>(<a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDocumentPart-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-">processDocumentPart</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                       title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                       title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                    java.lang.String&nbsp;path,
                                    org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                    int&nbsp;noteIndex,
                                    org.w3c.dom.Element&nbsp;block,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                    int&nbsp;noteIndex,
                                    org.w3c.dom.Element&nbsp;block,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;currentBlock,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                    int&nbsp;currentTableLevel,
                                    java.lang.String&nbsp;hyperlink)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processImage-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-">processImage</a></span>(org.w3c.dom.Element&nbsp;currentBlock,
                                    boolean&nbsp;inlined,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processImage-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-java.lang.String-">processImage</a></span>(org.w3c.dom.Element&nbsp;currentBlock,
                                    boolean&nbsp;inlined,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture,
                                    java.lang.String&nbsp;url)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processImageWithoutPicturesManager-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-">processImageWithoutPicturesManager</a></span>(org.w3c.dom.Element&nbsp;currentBlock,
                                    boolean&nbsp;inlined,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">processLineBreak</a></span>(org.w3c.dom.Element&nbsp;block,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                       title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processOle2-org.apache.poi.hwpf.HWPFDocument-org.w3c.dom.Element-org.apache.poi.poifs.filesystem.Entry-">processOle2</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;block,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                       title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processPageBreak-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-">processPageBreak</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;flow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processPageref</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;currentBlock,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                    int&nbsp;currentTableLevel,
                                    java.lang.String&nbsp;pageref)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">processParagraph</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;parentElement,
                                    int&nbsp;currentTableLevel,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                    java.lang.String&nbsp;bulletText)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processSection-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Section-int-">processSection</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Section</a>&nbsp;section,
                                    int&nbsp;s)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processTable-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Table-">processTable</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                    org.w3c.dom.Element&nbsp;flow,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                       title="class in org.apache.poi.hwpf.usermodel">Table</a>&nbsp;table)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#setOutputSummaryInformation-boolean-">setOutputSummaryInformation</a></span>(boolean&nbsp;outputDocumentInformation)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.converter.AbstractWordConverter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.converter.<a
                                        href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                        title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getCharacterRunTriplet-org.apache.poi.hwpf.usermodel.CharacterRun-">getCharacterRunTriplet</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getFontReplacer--">getFontReplacer</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getNumberColumnsSpanned-int:A-int-org.apache.poi.hwpf.usermodel.TableCell-">getNumberColumnsSpanned</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getNumberRowsSpanned-org.apache.poi.hwpf.usermodel.Table-int:A-int-int-org.apache.poi.hwpf.usermodel.TableCell-">getNumberRowsSpanned</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getPicturesManager--">getPicturesManager</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processCharacters-org.apache.poi.hwpf.HWPFDocumentCore-int-org.apache.poi.hwpf.usermodel.Range-org.w3c.dom.Element-">processCharacters</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDeadField-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-int-int-int-">processDeadField</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDocument-org.apache.poi.hwpf.HWPFDocumentCore-">processDocument</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processDrawnObject</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDropDownList-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String:A-int-">processDropDownList</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processField-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.Range-int-org.apache.poi.hwpf.usermodel.Field-org.w3c.dom.Element-">processField</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processNoteAnchor-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processNoteAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processParagraphes-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-">processParagraphes</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processSingleSection-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Section-">processSingleSection</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processSymbol-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processSymbol</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#setFontReplacer-org.apache.poi.hwpf.converter.FontReplacer-">setFontReplacer</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#setPicturesManager-org.apache.poi.hwpf.converter.PicturesManager-">setPicturesManager</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#tryDeadField-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-int-int-org.w3c.dom.Element-">tryDeadField</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="WordToTextConverter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WordToTextConverter</h4>
                                <pre>public&nbsp;WordToTextConverter()
                    throws javax.xml.parsers.ParserConfigurationException</pre>
                                <div class="block">Creates new instance of <a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html"
                                        title="class in org.apache.poi.hwpf.converter"><code>WordToTextConverter</code></a>.
                                    Can be used for
                                    output several <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                                      title="class in org.apache.poi.hwpf"><code>HWPFDocument</code></a>s
                                    into single text document.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>javax.xml.parsers.ParserConfigurationException</code> - if an internal
                                        <code>DocumentBuilder</code> cannot be created
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="WordToTextConverter-org.w3c.dom.Document-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WordToTextConverter</h4>
                                <pre>public&nbsp;WordToTextConverter(org.w3c.dom.Document&nbsp;document)</pre>
                                <div class="block">Creates new instance of <a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html"
                                        title="class in org.apache.poi.hwpf.converter"><code>WordToTextConverter</code></a>.
                                    Can be used for
                                    output several <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                                      title="class in org.apache.poi.hwpf"><code>HWPFDocument</code></a>s
                                    into single text document.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>document</code> - XML DOM Document used as storage for text pieces</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="WordToTextConverter-org.apache.poi.hwpf.converter.TextDocumentFacade-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>WordToTextConverter</h4>
                                <pre>public&nbsp;WordToTextConverter(<a
                                        href="../../../../../org/apache/poi/hwpf/converter/TextDocumentFacade.html"
                                        title="class in org.apache.poi.hwpf.converter">TextDocumentFacade</a>&nbsp;textDocumentFacade)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getText-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getText(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;root)
                                throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getText(java.io.File&nbsp;docFile)
                                throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText-org.apache.poi.hwpf.HWPFDocumentCore-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getText(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument)
                                throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
                                <div class="block">Java main() interface to interact with <a
                                        href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html"
                                        title="class in org.apache.poi.hwpf.converter"><code>WordToTextConverter</code></a>

                                    <p>
                                        Usage: WordToTextConverter infile outfile
                                    </p>
                                    Where infile is an input .doc file ( Word 95-2007) which will be rendered
                                    as plain text into outfile
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="afterProcess--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>afterProcess</h4>
                                <pre>protected&nbsp;void&nbsp;afterProcess()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#afterProcess--">AbstractWordConverter</a></code></span>
                                </div>
                                <div class="block">Special actions that need to be called after processing complete,
                                    like
                                    updating stylesheets or building document notes list. Usually they are
                                    called once, but it's okay to call them several times.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#afterProcess--">afterProcess</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>public&nbsp;org.w3c.dom.Document&nbsp;getDocument()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#getDocument--">getDocument</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()
                         throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isOutputSummaryInformation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutputSummaryInformation</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutputSummaryInformation()</pre>
                            </li>
                        </ul>
                        <a name="outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>outputCharacters</h4>
                                <pre>protected&nbsp;void&nbsp;outputCharacters(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                java.lang.String&nbsp;text)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#outputCharacters-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-java.lang.String-">outputCharacters</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processBookmarks</h4>
                                <pre>protected&nbsp;void&nbsp;processBookmarks(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range,
                                int&nbsp;currentTableLevel,
                                java.util.List&lt;<a href="../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                                                     title="interface in org.apache.poi.hwpf.usermodel">Bookmark</a>&gt;&nbsp;rangeBookmarks)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">AbstractWordConverter</a></code></span>
                                </div>
                                <div class="block">Wrap range into bookmark(s) and process it. All bookmarks have starts
                                    equal to range start and ends equal to range end. Usually it's only one
                                    bookmark.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processBookmarks-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.util.List-">processBookmarks</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processDocumentInformation</h4>
                                <pre>protected&nbsp;void&nbsp;processDocumentInformation(<a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;summaryInformation)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDocumentInformation-org.apache.poi.hpsf.SummaryInformation-">processDocumentInformation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processDocumentPart-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processDocumentPart</h4>
                                <pre>public&nbsp;void&nbsp;processDocumentPart(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;range)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDocumentPart-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Range-">processDocumentPart</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processDrawnObject</h4>
                                <pre>protected&nbsp;void&nbsp;processDrawnObject(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                  <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                     title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                  <a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                     title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                  java.lang.String&nbsp;path,
                                  org.w3c.dom.Element&nbsp;block)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processEndnoteAutonumbered</h4>
                                <pre>protected&nbsp;void&nbsp;processEndnoteAutonumbered(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                          int&nbsp;noteIndex,
                                          org.w3c.dom.Element&nbsp;block,
                                          <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                             title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processFootnoteAutonumbered</h4>
                                <pre>protected&nbsp;void&nbsp;processFootnoteAutonumbered(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                           int&nbsp;noteIndex,
                                           org.w3c.dom.Element&nbsp;block,
                                           <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                              title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processHyperlink</h4>
                                <pre>protected&nbsp;void&nbsp;processHyperlink(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;currentBlock,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                                int&nbsp;currentTableLevel,
                                java.lang.String&nbsp;hyperlink)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processHyperlink-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processHyperlink</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processImage-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processImage</h4>
                                <pre>protected&nbsp;void&nbsp;processImage(org.w3c.dom.Element&nbsp;currentBlock,
                            boolean&nbsp;inlined,
                            <a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                               title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processImage-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-">processImage</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processImage-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processImage</h4>
                                <pre>protected&nbsp;void&nbsp;processImage(org.w3c.dom.Element&nbsp;currentBlock,
                            boolean&nbsp;inlined,
                            <a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                               title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture,
                            java.lang.String&nbsp;url)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processImage-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-java.lang.String-">processImage</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processImageWithoutPicturesManager-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processImageWithoutPicturesManager</h4>
                                <pre>protected&nbsp;void&nbsp;processImageWithoutPicturesManager(org.w3c.dom.Element&nbsp;currentBlock,
                                                  boolean&nbsp;inlined,
                                                  <a href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                                                     title="class in org.apache.poi.hwpf.usermodel">Picture</a>&nbsp;picture)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processImageWithoutPicturesManager-org.w3c.dom.Element-boolean-org.apache.poi.hwpf.usermodel.Picture-">processImageWithoutPicturesManager</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processLineBreak</h4>
                                <pre>protected&nbsp;void&nbsp;processLineBreak(org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processLineBreak-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.CharacterRun-">processLineBreak</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processOle2-org.apache.poi.hwpf.HWPFDocument-org.w3c.dom.Element-org.apache.poi.poifs.filesystem.Entry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processOle2</h4>
                                <pre>protected&nbsp;boolean&nbsp;processOle2(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                              org.w3c.dom.Element&nbsp;block,
                              <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                 title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry)
                       throws java.lang.Exception</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processOle2-org.apache.poi.hwpf.HWPFDocument-org.w3c.dom.Element-org.apache.poi.poifs.filesystem.Entry-">processOle2</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Exception</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processPageBreak-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processPageBreak</h4>
                                <pre>protected&nbsp;void&nbsp;processPageBreak(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;flow)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processPageBreak-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-">processPageBreak</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processPageref</h4>
                                <pre>protected&nbsp;void&nbsp;processPageref(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                              org.w3c.dom.Element&nbsp;currentBlock,
                              <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                 title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;textRange,
                              int&nbsp;currentTableLevel,
                              java.lang.String&nbsp;pageref)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processPageref-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-int-java.lang.String-">processPageref</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processParagraph</h4>
                                <pre>protected&nbsp;void&nbsp;processParagraph(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;parentElement,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Paragraph</a>&nbsp;paragraph,
                                java.lang.String&nbsp;bulletText)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processParagraph-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-int-org.apache.poi.hwpf.usermodel.Paragraph-java.lang.String-">processParagraph</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processSection-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Section-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processSection</h4>
                                <pre>protected&nbsp;void&nbsp;processSection(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                              <a href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                 title="class in org.apache.poi.hwpf.usermodel">Section</a>&nbsp;section,
                              int&nbsp;s)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processSection-org.apache.poi.hwpf.HWPFDocumentCore-org.apache.poi.hwpf.usermodel.Section-int-">processSection</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processTable-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Table-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processTable</h4>
                                <pre>protected&nbsp;void&nbsp;processTable(<a
                                        href="../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html"
                                        title="class in org.apache.poi.hwpf">HWPFDocumentCore</a>&nbsp;wordDocument,
                            org.w3c.dom.Element&nbsp;flow,
                            <a href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                               title="class in org.apache.poi.hwpf.usermodel">Table</a>&nbsp;table)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processTable-org.apache.poi.hwpf.HWPFDocumentCore-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Table-">processTable</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                                                title="class in org.apache.poi.hwpf.converter">AbstractWordConverter</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOutputSummaryInformation-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setOutputSummaryInformation</h4>
                                <pre>public&nbsp;void&nbsp;setOutputSummaryInformation(boolean&nbsp;outputDocumentInformation)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/WordToTextConverter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlUtils.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/converter/WordToTextConverter.html" target="_top">Frames</a>
        </li>
        <li><a href="WordToTextConverter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.converter.AbstractWordConverter">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
